<?php namespace Tps\Shops\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateTpsShops extends Migration
{
    public function up()
    {
        Schema::create('tps_shops_', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->string('name');
            $table->smallInteger('floor');
            $table->string('shop_number');
            $table->integer('phone')->nullable();
            $table->string('instagram_name')->nullable();
            $table->string('instagram_link')->nullable();
            $table->integer('category');
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('tps_shops_');
    }
}
